Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class RuntelManager

java.lang.Object
ru.bitel.bgbilling.modules.runtel.server.bean.RuntelManager

    public class RuntelManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RuntelManager​(int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `appendContract​(int customerId, java.lang.String contractTitle, java.lang.String pbxDomain, java.time.LocalDate dateFrom, java.lang.String status, java.lang.String email, int hostId)` |
  `int` | `appendContractAnnex​(int contractId, int tariffId, java.lang.String name, Period period, java.lang.String status, java.util.Map<java.lang.String,​java.lang.Integer> services)` |
  `int` | `appendContractAnnexRow​(int contractAnnexId, java.lang.String tariffId, int count)` |
  `int` | `appendCustomer​(int customerId, java.lang.String customerTitle, java.lang.String customerBrand, java.lang.String city, java.lang.String status)` |
  `boolean` | `deleteContract​(int contractId)` |
  `boolean` | `deleteContractAnnex​(int contractAnnexId)` |
  `boolean` | `deleteContractAnnexRow​(int contractAnnexRowId)` |
  `boolean` | `deleteCustomer​(int customerId)` |
  `SearchResult<org.json.JSONObject>` | `getContractAnnexList​(int contractId, java.time.LocalDate dateFrom)` |
  `SearchResult<org.json.JSONObject>` | `getContractAnnexRowList​(int contractAnnexId, java.time.LocalDate dateFrom)` |
  `SearchResult<org.json.JSONObject>` | `getContractList​(int customerId, java.time.LocalDate dateFrom)` |
  `SearchResult<org.json.JSONObject>` | `getCustomerList​(java.lang.String name, java.lang.String status)` |
  `static org.json.JSONObject` | `getResponse​(ru.bitel.bgbilling.modules.runtel.server.servlet.ModuleExecutor.Action action)` |
  `java.lang.String` | `getToken()` |
  `boolean` | `syncData​(java.util.List<RunTelContract> contracts, java.util.Map<java.lang.Integer,​RunTelTariff> tariffs, java.lang.String token)` |
  `int` | `updateContract​(int contractId, java.time.LocalDate dateTo, java.lang.String status)` |
  `int` | `updateContractAnnex​(int contractId, java.time.LocalDate dateTo, java.lang.String status)` |
  `int` | `updateContractAnnexRow​(int contractAnnexRowId, int count)` |
  `int` | `updateCustomer​(int customerId, java.lang.String customerTitle)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuntelManager

    public RuntelManager​(int moduleId)

- ## Method Details

  - ### getToken

    public java.lang.String getToken()

  - ### getCustomerList

    public SearchResult<org.json.JSONObject> getCustomerList​(java.lang.String name, java.lang.String status)

  - ### appendCustomer

    public int appendCustomer​(int customerId, java.lang.String customerTitle, java.lang.String customerBrand, java.lang.String city, java.lang.String status)

  - ### updateCustomer

    public int updateCustomer​(int customerId, java.lang.String customerTitle)

  - ### deleteCustomer

    public boolean deleteCustomer​(int customerId)

  - ### getContractList

    public SearchResult<org.json.JSONObject> getContractList​(int customerId, java.time.LocalDate dateFrom)

  - ### appendContract

    public int appendContract​(int customerId, java.lang.String contractTitle, java.lang.String pbxDomain, java.time.LocalDate dateFrom, java.lang.String status, java.lang.String email, int hostId)

  - ### updateContract

    public int updateContract​(int contractId, java.time.LocalDate dateTo, java.lang.String status)

  - ### deleteContract

    public boolean deleteContract​(int contractId)

  - ### getContractAnnexList

    public SearchResult<org.json.JSONObject> getContractAnnexList​(int contractId, java.time.LocalDate dateFrom)

  - ### appendContractAnnex

    public int appendContractAnnex​(int contractId, int tariffId, java.lang.String name, Period period, java.lang.String status, java.util.Map<java.lang.String,​java.lang.Integer> services)

  - ### updateContractAnnex

    public int updateContractAnnex​(int contractId, java.time.LocalDate dateTo, java.lang.String status)

  - ### deleteContractAnnex

    public boolean deleteContractAnnex​(int contractAnnexId)

  - ### getContractAnnexRowList

    public SearchResult<org.json.JSONObject> getContractAnnexRowList​(int contractAnnexId, java.time.LocalDate dateFrom)

  - ### appendContractAnnexRow

    public int appendContractAnnexRow​(int contractAnnexId, java.lang.String tariffId, int count)

  - ### updateContractAnnexRow

    public int updateContractAnnexRow​(int contractAnnexRowId, int count)

  - ### deleteContractAnnexRow

    public boolean deleteContractAnnexRow​(int contractAnnexRowId)

  - ### syncData

    public boolean syncData​(java.util.List<RunTelContract> contracts, java.util.Map<java.lang.Integer,​RunTelTariff> tariffs, java.lang.String token)

  - ### getResponse

    public static org.json.JSONObject getResponse​(ru.bitel.bgbilling.modules.runtel.server.servlet.ModuleExecutor.Action action)